Skip to content

Get location IDs for a task type via GET

Request

Returns all location IDs that have the specified task type, using query parameters for location filter criteria.

Query
taskTypestringrequired

The task type to retrieve location IDs for

Enum:"ADD_REQUIRED_FIELDS_TO_RESUME_SYNC""CLAIM_LISTING_FOR_LOCATION""CREATE_NEW_POST""ENABLE_EMAIL_NEW_MESSAGES""ENABLE_EMAIL_NEW_FORMS""ENABLE_EMAIL_NEW_POSTING_APPROVAL""ENABLE_EMAIL_NEW_REVIEW_REPLY_APPROVAL""ENABLE_EMAIL_DIGEST""FILL_MISSING_REQUIRED_FIELDS""FILL_MISSING_BASIC_FIELDS"
locationIdsstring or null

Comma-separated list of location IDs to filter by

businessIdsstring or null

Comma-separated list of business IDs to filter by

locationGroupIdsstring or null

Comma-separated list of location group IDs to filter by

labelsstring or null

Comma-separated list of labels to filter by

excludedLocationIdsstring or null

Comma-separated list of location IDs to exclude

excludedBusinessIdsstring or null

Comma-separated list of business IDs to exclude

excludedLocationGroupIdsstring or null

Comma-separated list of location group IDs to exclude

excludedLabelsstring or null

Comma-separated list of labels to exclude

filterCategorystring or null

Filter strategy to apply: location-groups, labels, business, or location

querystring or null

Search query string depending on filter category

directorystring or null

Optional directory name to filter tasks by

curl -i -X GET \
  'https://uberall.com/api/home/tasks/locations?taskType=ADD_REQUIRED_FIELDS_TO_RESUME_SYNC&locationIds=string&businessIds=string&locationGroupIds=string&labels=string&excludedLocationIds=string&excludedBusinessIds=string&excludedLocationGroupIds=string&excludedLabels=string&filterCategory=string&query=string&directory=string'

Responses

Location IDs retrieved successfully

Bodyapplication/json
locationIdsArray of integers, (int64)required

List of location IDs that have the specified task

Response
{ "locationIds": [ 0 ] }